<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['menu-btn29-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['seriya'])) {puterror($result2['skin'],$TEXT['error-ser1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['seriya'])>255) {puterror($result2['skin'],$TEXT['error-ser2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['seriya'])) {$seriya=trim($_POST['seriya']);}
 else {$seriya ="";}
  if(empty($seriya)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['seriya'] = rep($_POST['seriya']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`ser_id`) AS c_ser_id FROM `tbl_seriya` WHERE `seriya`='".$_POST['seriya']."' AND use_prog='2' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_ser_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-ser1'];
  $what = $_POST['seriya'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_seriya` ( `ser_id` , `seriya`, `use_prog` ) VALUES ( NULL , '".$_POST['seriya']."', '2')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl21']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>